package erreur;

my %message=(	'ouvertureF'	=>"problème lors de l'ouverture du fichier",
		'ouvertureD'	=>"problème lors de l'ouberture du dossier",
		'analyseur' 	=>"aucun traitement possible pour l'analyseur spécifié",
		'option'	=>"cette option n'est pas valide",
		'extension'	=>"l'extension ne correspond pas à celle attendue",
		'erreurInconnue'=>"le type d'erreur à renvoyer est inconnu",
);

# affiche le message du nom d'erreur associé
# entrée :	le nom de l'erreur
#		une liste de variable à afficher également
sub affiche{
	my ($type,@var)=@_;
	affiche('erreurInconnue',$type) unless exists($message{$type});
	die("******* $message{$type} ".join(' ',@var)." ********\n");
}


# mise à jour des messages d'erreurs
# entrée : la référence à une table de hachage contenant les messages à ajouter
sub maj{
	my $local=shift;
	foreach my $k (keys(%$local)){
		$message{$k}=$$local{$k};
#print $k."->".$message{$k}."\n";
	}
}


1;