package config;
use erreur;
=head1 config
Module servant à charger les paramètres inscrits dans un fichier configuration
les paramètres sont sont écris sous cette forme var=contenuVar
=cut
BEGIN{
	my %localErreur=('paramMissing'	=>"un paramètre requis est manquant dans le fichier configuration");
	erreur::maj(\%localErreur);
#print "config chargée\n";
}
=head1 get
fonction de chargement
entree : le fichier conf
	la référence d'une table de hachage
	une liste de paramètres obligatoires (facultatif)
=cut
sub get{
	my ($fich,$var,@requis)=@_;
	open(TEMP,"<:utf8",$fich) or erreur::affiche("ouvertureF",$fich);
	while(<TEMP>){
		m/^(.+)=(.+)$/;
		$$var{$1}=$2;
	}
	foreach my $p (@requis){
		erreur::affiche('paramMissing',$p,$fich) unless exists($$var{$p});
	}
	close TEMP;
}
1;