package ttgFr;
use strict;
use warnings;
use diagnostics;
use utf8;

use Exporter;
our @EXPORT = qw(&ttgFr);
our @ISA = qw(Exporter);

use erreur;
use config;
my %param;
config::get("analyseur/ttg.conf",\%param,"ttgPar","ttgExe");

use analyseur;

sub ttgFr{
	my $texte=shift;
	my $texteSortie="";
	my $tempEntree="tampon1.txt";
	my $tempSortie="tampon2.txt";
#	transformer en un fichier pour treeTager
	$texte=analyseur::tokenize($texte);
	open(TEMP,">:utf8",$tempEntree) or erreur::affiche("ouvertureF",$tempEntree);
	print TEMP $texte;
	close(TEMP);
#	étiquette avec treetagger
#print "appel : $param{ttgExe} $param{ttgPar} -token -lemma -no-unknown  $tempEntree $tempSortie";
	system("$param{ttgExe} $param{ttgPar} -token -lemma -no-unknown  $tempEntree $tempSortie");
	open(TEMP,"<:utf8",$tempSortie) or erreur::affiche("ouvertureF",$tempSortie);
#	transformer le résultat en XML
	my($string,$type,$lemme);
	$/="\n";
	foreach(<TEMP>){#pour chaque étiquette
		chop;
		($string,$type,$lemme)=split(/\t/,$_); # on récupère les infos
		$texteSortie.=analyseur::formatageElementEnXML($type,$lemme,$string);# on les mets en forme
	}
	close(TEMP);
	unlink ($tempEntree,$tempSortie);
	return $texteSortie;
}

1;